#include <iostream>
#include <cmath>
#include <algorithm>

using namespace std;

bool Poredjenje(pair<double, double> x, pair<double, double> y)
{
    return {x.second > y.second};
}


double Round(double var)
{
    double value = (int)(var * 1000 + .05);
    return (double)value / 1000;
}
int main()
{
    int k=0;
    long long n;
    double zbir=0.0, maxi = -2147483647, c= 0.01, p=0;

    cin >> n;

    pair<double, double> a[n];

    for(int i=0; i < n; i++)
    {
        cin >> a[i].first >> a[i].second;
        a[i].second /= 100.00;
    }

    sort(a, a + n, Poredjenje);

    /*for(int i=0; i < n; i++)
    {
        cout << a[i].first << a[i].second << endl;
    }

    for(int i=0; i < n; i++)
    {
        zbir += a[i].first;
        k = int(zbir / 1000);
        k *= 1000;
        p = zbir - k;

        cout << Round(k*a[i].second) << endl;
        cout << Round(p*a[i].second) << endl;
        cout << Round(k*a[i].second) + Round(p*a[i].second) << endl;

        maxi = max(maxi, (k*a[i].second + p*a[i].second));
    }*/

    for(int i=0; i < n; i++)
    {
        zbir += a[i].first;
        maxi = max(maxi, zbir*a[i].second);
    }

    printf("%.4f", maxi);
    return 0;
}